Update a reserved slot
curl --request PATCH \
--url https://api.cal.id/slots/{uid} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"eventTypeId": 123,
"slotStart": "2026-05-02T10:00:00.000Z"
}
'import requests
url = "https://api.cal.id/slots/{uid}"
payload = {
"eventTypeId": 123,
"slotStart": "2026-05-02T10:00:00.000Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({eventTypeId: 123, slotStart: '2026-05-02T10:00:00.000Z'})
};
fetch('https://api.cal.id/slots/{uid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"eventTypeId": 123,
"slotStart": "2023-11-07T05:31:56Z",
"slotEnd": "2023-11-07T05:31:56Z",
"slotDuration": 123,
"reservationUid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reservationDuration": 123,
"reservationUntil": "2023-11-07T05:31:56Z"
},
"message": "<string>",
"meta": {
"pagination": {
"page": 123,
"limit": 123,
"total": 123,
"totalPages": 123
}
}
}{
"success": false,
"message": "<string>",
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"success": false,
"message": "<string>",
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"success": false,
"message": "<string>",
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"success": false,
"message": "<string>",
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"success": false,
"message": "<string>",
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}Slots
Update a reserved slot
Update slot by id
PATCH
/
slots
/
{uid}
Update a reserved slot
Authorizations
Use the Authorization header with Bearer scheme.
Examples:
- API Key: Authorization: Bearer calid_xxxxx
Path Parameters
Selected slot reservation UID.
Example:
"2f33b5cd-8ec7-4eb0-91fd-9488c30f4744"
Body
application/json
Event type identifier for the slot reservation.
Required range:
x > 1Example:
123
Slot start time in ISO-8601 format with timezone offset.
Example:
"2026-05-02T10:00:00.000Z"
Optional duration in minutes. Can be sent as a number or numeric string and must match event type allowed durations when configured.
Pattern:
^[1-9]\d*$Example:
"30"
Optional reservation hold duration in minutes. Defaults to 5 when omitted and requires authenticated requests.
Required range:
x > 1Example:
10
Related topics
Get a reserved slotRelease a reserved slotEnable Captcha on Booking PageUpdate an event typeUpdate a team event typeWas this page helpful?
⌘I